﻿namespace ClassLibrary1
{
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;
    using System.Data;
    using Telerik.Reporting;
    using Telerik.Reporting.Drawing;
    using Processing = Telerik.Reporting.Processing;
    using System;
    using System.Web;

    /// <summary>
    /// Summary description for Testing.
    /// </summary>
    public partial class Testing : Report
    {
        public Testing()
        {
            /// <summary>
            /// Required for telerik Reporting designer support
            /// </summary>
            InitializeComponent();

            //
            // TODO: Add any constructor code after InitializeComponent call

            // TODO: This line of code loads data into the 'adventureWorksDataSet.AdventureWorksDataSetTable' table. You can move, or remove it, as needed.
            try
            {
                this.adventureWorksDataSetTableAdapter1.Fill(this.adventureWorksDataSet.AdventureWorksDataSetTable);
            }
            catch (System.Exception ex)
            {
                // An error has occurred while filling the data set. Please check the exception for more information.
                System.Diagnostics.Debug.WriteLine(ex.Message);
            }
        }

        private void nameDataTextBox_ItemDataBound(object sender, EventArgs e)
        {
            HttpContext context = System.Web.HttpContext.Current;
            if (context != null)
            {
                string opType = context.Request.QueryString["optype"];
                string exportFormat = context.Request.QueryString["ExportFormat"];
                if ((opType == "Report") || ((opType == "Export") && (exportFormat == "MHTML")))
                {
                    Processing.TextBox txt = sender as Processing.TextBox;
                    if (txt != null)
                    {
                        txt.Value = String.Format("<a href='http://www.google.com/search?q={0}' type='text/html'>Check in Google</a>", txt.Text);
                    }
                }
            }
        }

    }
}